import {Component} from '@angular/core';
import {Observable} from "rxjs";
import {Qualification} from "../Qualification";
import {HttpClient} from "@angular/common/http";
import {AsyncPipe} from "@angular/common";
import {
    MatCell,
    MatCellDef,
    MatColumnDef,
    MatHeaderCell,
    MatHeaderCellDef,
    MatHeaderRow, MatHeaderRowDef, MatRow, MatRowDef,
    MatTable
} from "@angular/material/table";
import QualificationService from "../services/qualification.service";

@Component({
    selector: 'app-qualifications',
    imports: [
        AsyncPipe,
        MatTable,
        MatHeaderCell,
        MatColumnDef,
        MatCell,
        MatCellDef,
        MatHeaderCellDef,
        MatHeaderRow,
        MatRow,
        MatHeaderRowDef,
        MatRowDef
    ],
    templateUrl: './qualifications.component.html',
    styleUrl: './qualifications.component.css'
})
export class QualificationsComponent {
    public qualifications$: Observable<Qualification[]>;
    public readonly displayedColumns: string[] = ['skill', 'actions'];


    constructor(private readonly qualificationService: QualificationService) {
        this.qualifications$ = this.qualificationService.getAll();
    }
}
